ICarbideInstalledSDKChangeListener.SDKChangeEventType (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.core.ICarbideInstalledSDKChangeListener.SDKChangeEventType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nokia.carbide.cpp.sdk.core
Enum ICarbideInstalledSDKChangeListener.SDKChangeEventType

    java.lang.Object
      java.lang.Enum<ICarbideInstalledSDKChangeListener.SDKChangeEventType>
          com.nokia.carbide.cpp.sdk.core.ICarbideInstalledSDKChangeListener.SDKChangeEventType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ICarbideInstalledSDKChangeListener.SDKChangeEventType>

Enclosing interface:
  ICarbideInstalledSDKChangeListener

    public static enum ICarbideInstalledSDKChangeListener.SDKChangeEventType

extends java.lang.Enum<ICarbideInstalledSDKChangeListener.SDKChangeEventType>

Type of event occuring on the sdk list

See Also:
  `ICarbideInstalledSDKChangeListener.installedSdkChanged(com.nokia.carbide.cpp.sdk.core.ICarbideInstalledSDKChangeListener.SDKChangeEventType)`

Enum Constant Summary
`eSDKAdded`
`eSDKRemoved`
`eSDKScanned`

Method Summary
`static ICarbideInstalledSDKChangeListener.SDKChangeEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ICarbideInstalledSDKChangeListener.SDKChangeEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### eSDKAdded

    public static final ICarbideInstalledSDKChangeListener.SDKChangeEventType eSDKAdded

### eSDKRemoved

    public static final ICarbideInstalledSDKChangeListener.SDKChangeEventType eSDKRemoved

### eSDKScanned

    public static final ICarbideInstalledSDKChangeListener.SDKChangeEventType eSDKScanned

Method Detail

### values

    public static final ICarbideInstalledSDKChangeListener.SDKChangeEventType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ICarbideInstalledSDKChangeListener.SDKChangeEventType c : ICarbideInstalledSDKChangeListener.SDKChangeEventType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ICarbideInstalledSDKChangeListener.SDKChangeEventType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD